/ api / name / gb.getinterface
GB.GetInterface
Syntax

    int GB.GetInterface ( const char *name , long version , void *iface )

This function gets a component interface. It fills a structure that describes an interface of an already loaded component.

- name is the name of the component, for example `"gb.eval"`.
- version is its version number. This is not used at the moment, so you must generally specify `1`.
- iface must point at the structure that describes the interface.

This function aborts the interpreter if the interface cannot be found. Otherwise zero is returned.

### Examples

    #include \<gambas.h>
    #include \<gb.qt.h>

    ...

    QT_INTERFACE QT;

    ...

    int GB_INIT(void)
    {
      GB.GetInterface("gb.qt", QT_INTERFACE_VERSION, &QT);
      ...
    \}